<?php 
/*
 * FCKeditor - The text editor for internet
 * Copyright (C) 2003-2006 Frederico Caldeira Knabben
 * 
 * Licensed under the terms of the GNU Lesser General Public License:
 * 		http://www.opensource.org/licenses/lgpl-license.php
 * 
 * For further information visit:
 * 		http://www.fckeditor.net/
 * 
 * "Support Open Source software. What about a donation today?"
 * 
 * File Name: config.php
 * 	Configuration file for the File Manager Connector for PHP.
 * 
 * File Authors:
 * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
 */

global $Config;

if ( !defined('DIRECTORY_SEPARATOR') ) 
{
    define('DIRECTORY_SEPARATOR', ( substr(PHP_OS, 0, 3) == 'WIN' ) ? '\\' : '/');
}

$backPath = "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR;
include($backPath."ini.inc.php");
include($backPath."includes".CC_DS."global.inc.php");
include($backPath."classes".CC_DS."db".CC_DS."db.php");
$db 	= new db();
include($backPath."classes".CC_DS."cache".CC_DS."cache.php");
//include($backPath.$glob['adminFolder'].CC_DS."includes".CC_DS."functions.inc.php");
include($backPath."includes".CC_DS."functions.inc.php");
$config 	= fetchDbConfig("config");
$enableSSl 	= enableSSl();
//include($backPath."includes".CC_DS."sslSwitch.inc.php");

## get/set paths and directories
if (detectSSL()) {
	$GLOBALS['storeURL']	= $config['storeURL_SSL'];
	$GLOBALS['rootRel']		= $config['rootRel_SSL'];
} else {	
	$GLOBALS['storeURL']	= $glob['storeURL'];
	$GLOBALS['rootRel']		= $glob['rootRel'];	
}

## Make $GLOBALS paths fool proof - until someone makes a better fool...
if (substr($GLOBALS['storeURL'], -1, 1) == '/') {
	$urlLength = strlen($GLOBALS['storeURL']);
	$GLOBALS['storeURL'] = substr($GLOBALS['storeURL'], 0, $urlLength-1);
}
if (substr($GLOBALS['rootRel'], -1, 1) !== '/') {
	$GLOBALS['rootRel'] = $GLOBALS['rootRel'].'/';
}
/*
if(!isset($_SESSION['ccAdmin']) && strpos(dirname($_SERVER['PHP_SELF']), $_SESSION['ccAdminPath']) !== 0)
{
	exit;
}
*/
//include("../../../../../../../../includes/auth.inc.php");


// SECURITY: You must explicitelly enable this "connector". (Set it to "true").
$Config['Enabled'] = true ;

// Path to user files relative to the document root.
$Config['UserFilesPath'] = $GLOBALS['rootRel'].'images/' ;

// Fill the following value it you prefer to specify the absolute path for the
// user files directory. Usefull if you are using a virtual directory, symbolic
// link or alias. Examples: 'C:\\MySite\\UserFiles\\' or '/root/mysite/UserFiles/'.
// Attention: The above 'UserFilesPath' must point to the same directory.
$Config['UserFilesAbsolutePath'] =  CC_ROOT_DIR.CC_DS."images".CC_DS;

// Due to security issues with Apache modules, it is reccomended to leave the
// following setting enabled.
$Config['ForceSingleExtension'] = false ;

$Config['AllowedExtensions']['uploads']	= array('jpg','gif','jpeg','png','swf','fla','jpg','gif','jpeg','png','avi','mpg','mpeg') ;
$Config['DeniedExtensions']['uploads']	= array('php','php2','php3','php4','php5','phtml','pwml','inc','asp','aspx','ascx','jsp','cfm','cfc','pl','bat','exe','com','dll','vbs','js','reg','cgi') ;

?>