<?php
/*
+--------------------------------------------------------------------------
|   CubeCart 4
|   ========================================
|	CubeCart is a registered trade mark of Devellion Limited
|   Copyright Devellion Limited 2006. All rights reserved.
|   Devellion Limited,
|   5 Bridge Street,
|   Bishops Stortford,
|   HERTFORDSHIRE.
|   CM23 2JU
|   UNITED KINGDOM
|   http://www.devellion.com
|	UK Private Limited Company No. 5323904
|   ========================================
|   Web: http://www.cubecart.com
|   Email: info (at) cubecart (dot) com
|	License Type: CubeCart is NOT Open Source Software and Limitations Apply 
|   Licence Info: http://www.cubecart.com/site/faq/license.php
+--------------------------------------------------------------------------
|	switch.inc.php
|   ========================================
|	Switch between language and currency vars	
+--------------------------------------------------------------------------
*/
	
if (!defined('CC_INI_SET')) die("Access Denied");


## change language if necessary making sure it is cleaned against cross site scripting!!! Or else there'd be truble!!
if ((isset($_GET['lang'])) && (!empty($_GET['lang'])) && (isset($GLOBALS[CC_SESSION_NAME]))) {

	$sessData['lang'] = "'".preg_replace('/[^a-zA-Z0-9_\-\+]/', '',$_GET['lang'])."'";
	$db->update($glob['dbprefix']."CubeCart_sessions", $sessData,"sessId=".$db->mySQLSafe($GLOBALS[CC_SESSION_NAME]));
	setcookie('language', $sessData['lang'], time()+(3600*24*14));
	checkSpoof();
	
} else if ((isset($_GET['currency'])) && !empty($_GET['currency']) && (isset($GLOBALS[CC_SESSION_NAME]))) {
	
	$sessData['currency'] = "'".preg_replace('/[^a-zA-Z0-9_\-\+]/', '',$_GET['currency'])."'";
	$db->update($glob['dbprefix']."CubeCart_sessions", $sessData,"sessId=".$db->mySQLSafe($GLOBALS[CC_SESSION_NAME]));
//	setcookie('currency', $sessData['currency'], time()+(3600*24*14));
	checkSpoof();
	
} else if ((isset($_GET['skin'])) && !empty($_GET['skin']) && (isset($GLOBALS[CC_SESSION_NAME]))) {
	
	$sessData['skin'] = "'".preg_replace('/[^a-zA-Z0-9_\-\+]/', '',$_GET['skin'])."'";
	$db->update($glob['dbprefix']."CubeCart_sessions", $sessData,"sessId=".$db->mySQLSafe($GLOBALS[CC_SESSION_NAME]));
//	setcookie('skin', $sessData['skin'], time()+(3600*24*14));
	checkSpoof();
	
} else {
	httpredir("index.php");
}
?>