<?php
$lv = !$langBully ?  "lang" : "bully";
${$lv}['setup'] = array (
'try_again_to_complete' => "If you have manually edited the file or made the file writable, please click the 'Try Again' button to complete your upgrade.",
'global_unwritable_1' => "The upgrade script needs to modify the `includes/global.inc.php` file but has not been able to as it not writable. Please chmod this file to 0777 if you have a linux type hosting account and then try again. Alternativaly you can do this manually by editing the file to have the following content:",
'global_file_updated' => "The file `include/global.inc.php` has been updated successfully.",
'config_files_updated' => "All configuration files have been updated.",
'enter_key' => "CubeCart Software License Key:",
'no_key_entered' => "No software license key was entered.",
'upgrade_try_again' => "Try Again",
'upgrade_success' => "<strong>Congratulations!</strong> Your store has been successfully upgraded to %s. Please now delete the setup folder.",
'database_upgraded' => "Database has been upgraded successfully.",
'upgrade_proceed_to_step' => "Proceed to Step %s &raquo;",
'critical_upgrade_error' => "<strong>Critical Error:</strong> No version history available! Upgrade script doesn't know where to start.",
'upgrade_now' => "Upgrade Now &raquo;",
'upgrade_precis' => "This upgrade script will update your store from <strong>%s</strong> to <strong>%s</strong>. If you are ready please proceed by clicking the &quot;Upgrade Now&quot; button below.",
'alreadyUpgraded' => "Your store has already been upgraded to version %s. There is no need to go through the upgrade process again.",
'global_missing' => "The file `global.inc.php` does not exist. Please make a copy of `global.inc.php-dist` which can be found in the same directory and rename it to `global.inc.php`.",
'upgrade_existing' => "Choose this option to upgrade your CubeCart store to the latest version. <br />
	  <strong style='color: red;'>IMPORTANT:</strong> Please take a FULL backup of your database and files before continuing!",
'upgrade_cubecart' => "Upgrade CubeCart",
'fresh_install' => "Choose this option if you wish to perform a fresh installation of CubeCart.<br />
	  <strong style='color: red;'>WARNING</strong>: By proceeding with this option any existing store data may be overwritten!",
'install_cubecart' => "Install CubeCart",
'splash_title' => "Please choose whether you wish to to install or upgrade an existing store",
'read_only' => "Read Only",
'writable' => "Writable",
'license_key' => "Software License Key:",
'fromUs' => "A software license key can be purchased directly from our website. <a href='http://www.cubecart.com'>http://www.cubecart.com</a>. The install script will continue but the admin control panel of you store will not work if the license key is invalid.",
'not_copy_key' => "This is not the same as a copyright removal key.",
'stage2Name' => "Check File Permissions",
'stage1Error' => "You must agree to our License Agreement",
'stage3Name' => "Build Configuration Data, Create Administrator Account &amp; Install Database Tables",
'enterDBHostname' => "Please enter the database hostname",
'enterDBName' => "Please enter the database name",
'enterDBUsername' => "Please enter the database username",
'enteradminUsername' => "Please enter your desired admin username",
'enteradminPassword' => "Please enter an admin password",
'passwordMatch' => "Please make sure your passwords match",
'enterValidEmail' => "Please enter a valid email address",
'enterFullname' => "Please enter your full name",
'storeOfflineText' => "The store is currently offline. Please visit again soon.",
'configWriteError' => "The config file could not be written.",
'stage4Name' => "Set Back File Permissions",
'stage5Name' => "Installation Complete",
'stage1Name' => "License Agreement",
'agreeToLicense' => "Please click the checkbox to continue.",
'installation' => "CubeCart Setup v%s",
'stepStatus' => "Step %s out of %s",
'step' => "Step",
'iagreetoLic' => "I have read, understood, and agree to the license agreement",
'checkFilePerms' => "Please make sure the following files and folders are writable:",
'fileFolder' => "File / Folder",
'currentPermission' => "Current Status",
'na' => "n/a",
'congratsFilePerms' => "Congratulations. File permissions are set correctly.",
'filePermsNotCorrect' => "Please ensure the file permission are set correctly to continue.",
'dbSettings' => "Database Settings",
'fromProvider' => "(These can normally be obtained or created in your web hosting control panel)",
'dbhostname' => "Database Hostname:",
'eg' => "e.g.",
'dbName' => "Database Name:",
'dbUsername' => "Database Username:",
'dbPassword' => "Database Password:",
'dbPrefix' => "Database Prefix:",
'dbPrefixOptional' => "(Optional - Used for multiple installations on one database)",
'dropifExist' => "Drop tables if they exist:",
'previousInstallLost' => "With this checked any previous install with same tables prefix on this database will be lost. (Default is checked)",
'localeSettings' => "Locale Settings",
'storeCountry' => "Store Country:",
'US' => "United States of America",
'UK' => "United Kingdom",
'EU' => "Europe",
'currenciesAccord' => "This will setup the currencies and other settings accordingly.",
'help' => "Help",
'administratorSettings' => "Default Store Administrator Profile",
'adminSetDesc' => "(These details are used to login to the admin control panel of your store)",
'username' => "Username:",
'password' => "Password:",
'confPass' => "Confirm Password:",
'emailAddress' => "Email Address:",
'fullName' => "Full Name:",
'skin' => "Skin",
'clickForLarger' => "Click for Larger View",
'changedAnytime' => "(This can be changed at anytime)",
'classic' => "Classic (Fixed Width)",
'legend' => "Legend (Fixed Width)",
'killer' => "Killer (100% width)",
'advancedSettings' => "Advanced Settings",
'leaveIfUnsure' => "(Leave these if you are unsure)",
'storeURL' => "Store URL:",
'serverRoot' => "Server Root Directory:",
'siteRootRel' => "Site Root Relative Path:",
'none' => "None",
'clickLink' => "Click the phpinfo() link to check your server config.",
'filepermsBack' => "Please make sure that following files are no longer writable: (You may skip this step if you server runs a Windows Operating System)",
'congratulations' => "Congratulations! Your store has been installed successfully.",
'congratulationsSub' => "Please select a destination. We recommend you start by logging into your admin control panel to configure your store settings.",
'adminHomepage' => "Admin Homepage",
'storeHomepage' => "Store Homepage",
'important' => "IMPORTANT:",
'deleteInstall' => "Your store may be at risk until the setup directory has been deleted.",
'tryAgain' => "Try Again",
'contToStep' => "Continue to Step %s",
'closeWindow' => "Close Window",
'prevPage' => "Previous Page",
'clicktoClose' => "Click to Close",
'chooseLang' => "Choose Language:",
'adminConfSettings' => "Administrator Configuration Settings",
'adminConfSettingsDesc' => "<p>The administrators control panel is an area where you have complete control over your store, from the products you sell to management of orders. To access the administrators control panel of your store you are required to setup one user on installation. This uses will be a &quot;Super User&quot; which means they have complete control over the store and its core settings.</p>
<p>If you wish to add other administrators after the installation, this can be achieved from the admin control panel. You can even grant them specific permissions to access certain areas of the store.</p>",
'advancedSettings' => "Advanced Settings",
'advancedSettingsDesc' => "<p>These settings are for advanced users. Please only change them if you are an experienced server administrator or developer. </p>
<p>To determine your GD version click in the link <a href='../info.php' target='_blank'>phpinfo()</a>. Locate the section titled &quot;GD&quot; this will say your GD version as 1.x.x or 2.x.x. If you do not have any mention of GD please select &quot;None&quot;. </p>
<p><strong>Why do I get the error message &quot;Call to undefined function: imagecreatefromjpg()&quot;?<br />
  </strong>This is because your web server is not configured to have GD enabled. To run CubeCart GD version 1 or above is required. Please contact your host and ask them nicely to enable it for you but you must remember that they are not obliged to do this for you. If you can't use GD either seek an alternative hosting company or set your GD version to be &quot;None&quot;.</p>",
'mysqlDBSettings' => "MySQL Database Settings",
'mysqlDBSettingsDesc' => "<p>To run CubeCart on your server you are required to have one MySQL database for it to store information such as your product and customer details. If your are attempting to install CubeCart on a shared (virtual) hosting environment then your hosting provider should be able to provide you with the information required for this stage of the install process. This information should include database name, username, password and the hostname. Sometimes you will find that you can setup and manage your MySQL database(s) from your hosting control panel. If however you are installing CubeCart on a testing machine or a dedicated server you may need to consult the <a href='http://dev.mysql.com/doc/mysql/en/index.html' target='_blank'>MySQL manual</a>. </p>
<p><strong>What is the database prefix used for?</strong>
<br />
The CubeCart installation script will create tables within your MySQL database which are essential for it to function. If you wish to install many different stores and you only have one database, these tables will have to be distinguished from each other somehow. This is achieved by putting a prefix on the front of each database table for each shop.</p>",
'selectOs' => "Please select your servers operating system:",
'permsMac' => "Setting File Permissions on a Macintosh Server",
'permsWin' => "Setting File Permissions on a Windows Server",
'permsWinDesc' => "Windows servers do not require file permissions to be changed. Please progress to the next step as nothing needs to be done.",
'permsLinux' => "Setting File Permissions on a Linux/Unix Server",
'permsLinuxDesc' => "<p>Start up  your  favourite <abbr title='File Transfer Protocol'>FTP</abbr> software or the one you used to upload CubeCart to your web server. We recommend <a href='http://www.smartftp.com' target='_blank'>SmartFTP</a> or <a href='http://filezilla.sourceforge.net/' target='_blank'>FileZilla</a>. (Screenshots are taken from SmartFTP)</p>
<p><strong>1. Locate the file that requires a change of permission and right click it and select 'CHMOD'.  </strong></p>
<p align='center'><img src='../images/smartFTPSel.gif' alt='' width='309' height='427' title='' /></p>
<p><strong>2. Type the required chmod value in the box marked &quot;Permissions&quot; and click 'Ok'. Alternatively you can click the checkboxes until you get the desired value and click &quot;Ok&quot;. </strong> N.B. We recommend 777 to make the file/folder writable and 644 to make the file/folder read only.</p>
<p align='center'><img src='../images/typeChmodVal.gif' alt='' width='382' height='494' title='' /></p>
<p><strong>3. Your done! </strong></p>
<p><strong>Hint:</strong> If your FTP software disagrees with the value this install script says it is simply hit the refresh button on the FTP software and try again. </p>",
'installHelp' => "Install Help:",
'helpAdminSettings' => "Administrator Settings",
'helpAdvanced' => "Advanced Settings",
'helpDatabase' => "Database",
'helpFilePerms' => "File Permissions",
'opDectResultTrue' => "Your server operating system has been detected as",
'opDectResultFalse' => "Sorry, your server operating system could not be detected. Please make a selection below.",
'suggestedOS' => "Suggested Operating System",
'skinPreview' => "Skin Preview",
'ioncube_install' => "You need to install ionCube Loader. To do this, visit ioncube.com/loaders.php and download the package for %s.<br />Then extract and upload the files to the ioncube directory in your store.",
'siteEncoder' => 'PHP Decoder:',
'auto_detect' => 'Auto-detect',
'installed' => 'Installed',
'not_installed' => 'Not installed',
'dbPasswordMatch' => 'The database passwords entered do not match'
);
?>