<?php
/*
+--------------------------------------------------------------------------
|   CubeCart 4
|   ========================================
|	CubeCart is a registered trade mark of Devellion Limited
|   Copyright Devellion Limited 2006. All rights reserved.
|   Devellion Limited,
|   5 Bridge Street,
|   Bishops Stortford,
|   HERTFORDSHIRE.
|   CM23 2JU
|   UNITED KINGDOM
|   http://www.devellion.com
|	UK Private Limited Company No. 5323904
|   ========================================
|   Web: http://www.cubecart.com
|   Email: info (at) cubecart (dot) com
|	License Type: CubeCart is NOT Open Source Software and Limitations Apply 
|   Licence Info: http://www.cubecart.com/site/faq/license.php
+--------------------------------------------------------------------------
|	switch.inc.php
|   ========================================
|	Switch between secure and insecure pages	
+--------------------------------------------------------------------------
*/

if (!defined('CC_INI_SET')) die('Access Denied');

if ($config['ssl']) {
	$storeURL		= str_replace('http://', '', $glob['storeURL']);
	$storeURL_SSL	= str_replace('https://', '', $config['storeURL_SSL']);
	
	$currentPage	= (isset($_GET['_a'])) ? sanitizeVar($_GET['_a']) : '';
	
	$url_elements 	= parse_url($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
	$currentPageDir	= str_replace(array($config['rootRel_SSL'], $glob['rootRel']), '/', $url_elements['path']);
	
#	$request_uri	= explode('?', $_SERVER['REQUEST_URI']);
#	$currentPageDir	= $request_uri[0];
	
#	if (isset($_SERVER['QUERY_STRING']) && !empty($_SERVER['QUERY_STRING'])) {
	if (isset($url_elements['query']) && !empty($url_elements['query'])) {
		parse_str($url_elements['query'], $newParams);
		unset($newParams[CC_SESSION_NAME]);
#		$params = explode('&', $_SERVER['QUERY_STRING']);
#		$newParams = array();
#		foreach ($params as $param) {
#			## Make sure ccUser is not appended more than once
#			if (stristr($param, CC_SESSION_NAME) == false) {
#				array_push($newParams, $param);
#			}
#		}
		
		if (!empty($GLOBALS[CC_SESSION_NAME])) {
			$newParams[CC_SESSION_NAME] = $GLOBALS[CC_SESSION_NAME];
		}
		
		if (count($newParams) != 0) {
			foreach ($newParams as $key => $value) {
				$queryString[] = sprintf('%s=%s', $key, $value);
			}
			$currentPageDir	.= '?'.htmlentities(implode('&', $queryString));
		}
	} else {
		if (!empty($GLOBALS[CC_SESSION_NAME])) {
			$currentPageDir .= '?'.CC_SESSION_NAME.'='.$GLOBALS[CC_SESSION_NAME];
		}
	}
	
	$currentPageDir = str_replace($_SERVER['HTTP_HOST'], '', $currentPageDir);
	
	$enableSSl	= ($config['force_ssl'] || (isset($enableSSl) && $enableSSl) || (isset($sslPages[$currentPage]) && $sslPages[$currentPage])) ? true : false;	
	if (!$enableSSl && detectSSL()) {
		## Leave SSL
		httpredir($glob['storeURL'].$currentPageDir);
		
	} else if ($enableSSl && !detectSSL()) {
		## Enter SSL
		httpredir($config['storeURL_SSL'].$currentPageDir);
	}
}

## Get/Set paths and directories
if (detectSSL()) {
	$GLOBALS['storeURL']	= $config['storeURL_SSL'];
	$GLOBALS['rootRel']		= $config['rootRel_SSL'];
} else {	
	$GLOBALS['storeURL']	= $glob['storeURL'];
	$GLOBALS['rootRel']		= $glob['rootRel'];	
}

## Make $GLOBALS paths fool proof - until someone makes a better fool...
if (substr($GLOBALS['storeURL'], -1, 1) == '/') {
	$GLOBALS['storeURL'] = substr($GLOBALS['storeURL'], 0, strlen($GLOBALS['storeURL'])-1);
}
if (substr($GLOBALS['rootRel'], -1, 1) !== '/') {
	$GLOBALS['rootRel'] = $GLOBALS['rootRel'].'/';
}

?>